ProgressIndicator.Textual (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class ProgressIndicator.Textual

    java.lang.Object
      org.neo4j.helpers.ProgressIndicator.Textual

All Implemented Interfaces:
  ProgressIndicator.Factory

Enclosing interface:
  ProgressIndicator

    public static final class ProgressIndicator.Textual

extends Object
implements ProgressIndicator.Factory

A factory implementation that creates progress indicators that log progress textually.

Author:
  Tobias Lindaaker

Field Summary

Fields inherited from interface org.neo4j.helpers.ProgressIndicator.Factory
`NONE`

Constructor Summary
`ProgressIndicator.Textual(PrintStream out)`

Method Summary
`ProgressIndicator.MultiProgress` | `newMultiProgressIndicator(long total)`
`ProgressIndicator.SimpleProgress` | `newSimpleProgressIndicator(long total)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressIndicator.Textual

    public ProgressIndicator.Textual(PrintStream out)

Method Detail

### newSimpleProgressIndicator

    public ProgressIndicator.SimpleProgress newSimpleProgressIndicator(long total)

  Specified by:
    `newSimpleProgressIndicator` in interface `ProgressIndicator.Factory`

### newMultiProgressIndicator

    public ProgressIndicator.MultiProgress newMultiProgressIndicator(long total)

  Specified by:
    `newMultiProgressIndicator` in interface `ProgressIndicator.Factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.